SystemOrganization addCategory: #ConfigurationOfBitmapCharacterSet!

Object subclass: #ConfigurationOfBitmapCharacterSet
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfBitmapCharacterSet'!

!ConfigurationOfBitmapCharacterSet commentStamp: '<historical>' prior: 0!
(ConfigurationOfBitmapCharacterSet project version: #stable) load

(ConfigurationOfBitmapCharacterSet project version: #stable) load: #('Tests')!

!ConfigurationOfBitmapCharacterSet class methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'catalog' stamp: 'StephaneDucasse 11/24/2013 16:24'!
catalogChangeLog
		
 ^ '
-25/11/2013 - Speed improvements from Monty.
[[[
(ConfigurationOfSoup project version: #''stable'') load
(ConfigurationOfSoup project version: ''1.1'') load
]]]

-1/2013 - Migrated from squeaksource.
[[[
(ConfigurationOfSoup project version: #''stable'') load
(ConfigurationOfSoup project version: ''1.0'') load
]]]


'
	
	! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:52'!
catalogDescription

^ 'BitmapCharacterSet is a set for characters that uses a bitmap for storing wide characters and an array of truth values for byte characters. Used by XMLParser.'! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:56'!
catalogKeyClassesAndExample

	^ 'It is composed of a single class BitmapCharacterSet.

Example:
[[[ 
			BitmapCharacterSet newFrom: Character separators.
			BitmapCharacterSet newFrom: Character allByteCharacters.
]]]'! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:59'!
catalogKeywords
	^ #(collection set character unicode)
	! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^self new project! !

!ConfigurationOfBitmapCharacterSet class methodsFor: 'unloading Metacello' stamp: 'StephaneDucasse 2/16/2013 20:12'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'baselines' stamp: 'StephaneDucasse 3/2/2013 19:50'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/BitmapCharacterSet/main'.	
		spec description: 'Imported from SqueakSource'.
		spec package: 'Collections-BitmapCharacterSet'.
		spec 
			package: 'Collections-Tests-BitmapCharacterSet' 
			with: [spec requires: 'Collections-BitmapCharacterSet'].
			
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Collections-BitmapCharacterSet');
			group: 'Tests' with: #('Collections-Tests-BitmapCharacterSet'). ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'symbolic versions' stamp: 'StephanEggermont 12/10/2014 10:50'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0-baseline'
! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'symbolic versions' stamp: 'monty 8/30/2015 08:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.1.6'.
	! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'pad 9/16/2013 13:24'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Latest versions from Squeaksource'.
		
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-JAA.5'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-JAA.5'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'StephaneDucasse 11/27/2013 20:57'!
version110: spec 
	<version: '1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec description: 'Speed Improvement from Monty and adding tests'.
		
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-Anonymous.6'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 10/27/2014 05:25'!
version111: spec 
	<version: '1.1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.7'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 10/29/2014 08:15'!
version112: spec 
	<version: '1.1.2' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.8'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 12/10/2014 16:20'!
version113: spec 
        <version: '1.1.3' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.10'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 4/5/2015 23:58'!
version114: spec 
        <version: '1.1.4' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.11'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.7'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 4/19/2015 15:45'!
version115: spec 
        <version: '1.1.5' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.12'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.7'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 8/30/2015 08:22'!
version116: spec 
        <version: '1.1.6' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.13'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.8'
                ].! !
